FreeMat

- Main Page
- Related Pages

vtkShrinkFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkShrinkFilter shrinks cells composing an arbitrary data set towards their centroid. The centroid of a cell is computed as the average position of the cell points. Shrinking results in disconnecting the cells from one another. The output of this filter is of general dataset type vtkUnstructuredGrid.

To create an instance of class vtkShrinkFilter, simply invoke its constructor as follows

      obj = vtkShrinkFilter

# Methods

The class vtkShrinkFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkShrinkFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkShrinkFilter = obj.NewInstance ()`
- `vtkShrinkFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetShrinkFactor (double )` - Get/Set the fraction of shrink for each cell. The default is 0.5.
- `double = obj.GetShrinkFactorMinValue ()` - Get/Set the fraction of shrink for each cell. The default is 0.5.
- `double = obj.GetShrinkFactorMaxValue ()` - Get/Set the fraction of shrink for each cell. The default is 0.5.
- `double = obj.GetShrinkFactor ()` - Get/Set the fraction of shrink for each cell. The default is 0.5.